Auto Multiple Choice - Feature # 250: separate mc section and open answer section printout for
efficient paper usage
Description: In some exams you want to use multiple choice questions and open questions.
This describes the situation when you use a separate answer sheet.
While mc questions can be put into a two column layout (no problem if you have 6 or less choices), but the
answers to open questions need
more space when hand written.
This could be accomplished if the \AMCform command was re-factored such that by default combines all
sections (elements), but that it would be possible to also render the elements separately.
So e.g. a command \AMCformElement{element name } as in \AMCformElement{general} and
\AMCformElement{open} would do the trick for me.

History

10/31/2014 02:47 pm - Alexis Bienvenlie

- Target version set to 1.4.0

02/25/2018 09:44 am - Alexis Bienveniie
- Status changed from New to Feedback

Thanks for you suggestion.

Starting with revision commit:7e107b6c06a0 (included in version 1.3.0+hg2018-02-25-1 from current test PPA), you can use something like

<pre>

\begin{multicols}{2}

\AMCformFilter{\AMCifcategory{open}}

\end{multicols}

\AMCpostOquest=1mm

\AMCformFilter{\AMCifcategory{open}}

</pre>

05/07/2018 06:10 pm - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
